Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Nautilus is a file manager for GNOME.
Name:		nautilus
Version:	2.28.4
Release:	2
BuildArch:	i686
License:	GNU/LGPL
URL:		http://www.gnome.org/projects/nautilus/
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
Patch1:        	nautilus-gvfs-desktop-key-2.patch
PreReq:    	scrollkeeper

Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf

Requires:	gvfs libexif >= 0.6.19 gnome-icon-theme eject 

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: exempi-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gtk2+-devel
BuildRequires: libexif-devel >= 0.6.19
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libunique-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel
BuildRequires: tracker-devel gvfs-devel gtk-doc

Obsoletes:	gnome-volume-manager

%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%package	extensions
Summary:	Nautilus extensions library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	extensions
This package provides the libraries used by nautilus extensions.

%package	devel
Summary:	Libraries and include files for developing nautilus extensions
Group: 		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkg-config

%description	devel
This package provides the necessary development libraries and headers
for writing nautilus extensions.

%post
/sbin/ldconfig
scrollkeeper-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build
gtkdocize
libtoolize
aclocal -I m4
autoconf
autoheader
automake

export CFLAGS=$(echo $CFLAGS |sed -e 's/O2/O0/g')
export CXXFLAGS=$(echo $CXXFLAGS |sed -e 's/O2/O0/g')
%configure --disable-more-warnings --disable-update-mimedb
export tagname=CC
LANG=en_US make %{?_smp_mflags}

# strip unneeded translations from .mo files
cd po
grep -v ".*[.]desktop[.]in.*\|.*[.]server[.]in$" POTFILES.in > POTFILES.keep
mv POTFILES.keep POTFILES.in
intltool-update --pot
for p in *.po; do
  msgmerge $p nautilus.pot > $p.out
  msgfmt -o `basename $p .po`.gmo $p.out
done


%install
rm -rf $RPM_BUILD_ROOT

# Disable GCONF install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

cat >>$RPM_BUILD_ROOT%{_datadir}/applications/gnome-nautilus.desktop <<EOF
AutostartCondition=GNOME /apps/nautilus/preferences/show_desktop
EOF

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/.icon-theme.cache


# create nautilus extension dir
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0

%find_lang %name

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas
%{_bindir}/nautilus
%{_bindir}/nautilus-autorun-software
%{_bindir}/nautilus-connect-server
%{_bindir}/nautilus-file-management-properties
%{_libexecdir}/nautilus-convert-metadata
%_libdir/nautilus
%_datadir/nautilus
%{_applications}/gnome-nautilus.desktop
%{_applications}/nautilus-autorun-software.desktop
%{_applications}/nautilus-browser.desktop
%{_applications}/nautilus-computer.desktop
%{_applications}/nautilus.desktop
%{_applications}/nautilus-file-management-properties.desktop
%{_applications}/nautilus-folder-handler.desktop
%{_applications}/nautilus-home.desktop
%{_applications}/network-scheme.desktop
%{_datadir}/icons/hicolor/16x16/apps/nautilus.png
%{_datadir}/icons/hicolor/22x22/apps/nautilus.png
%{_datadir}/icons/hicolor/24x24/apps/nautilus.png
%{_datadir}/icons/hicolor/32x32/apps/nautilus.png
%{_datadir}/icons/hicolor/scalable/apps/nautilus.svg
%{_locale}/*/LC_MESSAGES/nautilus.mo
%{_mandir}/man1/nautilus.1.gz
%{_mandir}/man1/nautilus-connect-server.1.gz
%{_mandir}/man1/nautilus-file-management-properties.1.gz
%{_datadir}/mime/packages/nautilus.xml
%{_datadir}/nautilus
%{_pixmaps}/nautilus

%files extensions
%defattr(-, root, root)
%_libdir/libnautilus-extension.so.*
%{_datadir}/gtk-doc/html/libnautilus-extension

%files devel
%defattr(-, root, root)
%{_includedir}/nautilus/libnautilus-extension
#%_pkgconfig
%{_libdir}/libnautilus-extension.la                                              
%{_libdir}/libnautilus-extension.so                                              
%{_pkgconfig}/libnautilus-extension.pc                                           

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.28.4-2
- fixed double mentioned libnautilus-extension.so files
* Sun Feb 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.28.4-1
- Version update
* Tue Dec 01 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.2-1
- Version update
* Fri Nov 27 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-7
- add patch
* Fri Nov 27 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-6
- build with lowered opt flags
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-5
- build without exif
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-4
- libexif 0.6.19
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-3
- rebuild against latest libexif
* Thu Nov 26 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-2
- add gvfs require
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.2-1
- Version update
* Fri Apr 03 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update, re-enabled tracker support
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update, building without beagle and tracker support
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.22.2-2
- rebuilt against poppler 0.8.0
* Wed Apr 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-3
- readded patches
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-2
- patch removal
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-2
- added gvfs require
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0.1-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, removed some patches
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-1
- Initial Release
